Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
[Java] Class NodePrinter

    java.lang.Object
      groovy.util.NodePrinter

    public class NodePrinter
    extends Object

A helper class for creating nested trees of data

Authors:
  James Strachan
  Christian Stein

Version:
  \$Revision: 6778 \$

Field Summary
`protected IndentPrinter` | `out`

Constructor Summary
`NodePrinter()`
`NodePrinter(PrintWriter out)`
`NodePrinter(IndentPrinter out)`

Method Summary
`void` | `print(Node node)`
`protected void` | `printAttributes(Map attributes)`
`protected void` | `printList(List list)`
`protected void` | `printName(Node node)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### out

    protected final IndentPrinter out

Constructor Detail

### NodePrinter

    public NodePrinter()

### NodePrinter

    public NodePrinter(PrintWriter out)

### NodePrinter

    public NodePrinter(IndentPrinter out)

Method Detail

### print

    public void print(Node node)

### printAttributes

    protected void printAttributes(Map attributes)

### printList

    protected void printList(List list)

### printName

    protected void printName(Node node)

Copyright © 2003-2010 The Codehaus. All rights reserved.